Loading...
Searching...
No Matches
itk::BinaryTreeSearchBase< TListSample > Class Template Referenceabstract
Common » ANNwrap

`#include <itkBinaryTreeSearchBase.h>`

## Detailed Description

template<class TListSample>
class itk::BinaryTreeSearchBase< TListSample >

Definition at line 39 of file itkBinaryTreeSearchBase.h.

Inheritance diagram for itk::BinaryTreeSearchBase< TListSample >:
[legend]

## Public Types

using | BinaryTreePointer = typename BinaryTreeType::Pointer
using | BinaryTreeType = BinaryTreeBase<ListSampleType>
using | ConstPointer = SmartPointer<const Self>
using | DistanceArrayType = Array<double>
using | IndexArrayType = Array<int>
using | ListSampleType = TListSample
using | MeasurementVectorType = typename BinaryTreeType::MeasurementVectorType
using | Pointer = SmartPointer<Self>
using | Self = BinaryTreeSearchBase
using | Superclass = Object

## Public Member Functions

const BinaryTreeType * | GetBinaryTree () const
virtual const char * | GetClassName () const
virtual unsigned int | GetKNearestNeighbors () const
| ITK_DISALLOW_COPY_AND_MOVE (BinaryTreeSearchBase)
virtual void | Search (const MeasurementVectorType &qp, IndexArrayType &ind, DistanceArrayType &dists)=0
virtual void | SetBinaryTree (BinaryTreeType *tree)
virtual void | SetKNearestNeighbors (unsigned int _arg)

## Protected Member Functions

| BinaryTreeSearchBase ()
| ~BinaryTreeSearchBase () override=default

## Protected Attributes

BinaryTreePointer | m_BinaryTree {}
unsigned int | m_DataDimension {}
unsigned int | m_KNearestNeighbors {}

## Member Typedef Documentation

## BinaryTreePointer

template<class TListSample>

using itk::BinaryTreeSearchBase< TListSample >::BinaryTreePointer = typename BinaryTreeType::Pointer

Definition at line 56 of file itkBinaryTreeSearchBase.h.

## BinaryTreeType

template<class TListSample>

using itk::BinaryTreeSearchBase< TListSample >::BinaryTreeType = BinaryTreeBase<ListSampleType>

Definition at line 55 of file itkBinaryTreeSearchBase.h.

## ConstPointer

template<class TListSample>

using itk::BinaryTreeSearchBase< TListSample >::ConstPointer = SmartPointer<const Self>

Definition at line 48 of file itkBinaryTreeSearchBase.h.

## DistanceArrayType

template<class TListSample>

using itk::BinaryTreeSearchBase< TListSample >::DistanceArrayType = Array<double>

Definition at line 59 of file itkBinaryTreeSearchBase.h.

## IndexArrayType

template<class TListSample>

using itk::BinaryTreeSearchBase< TListSample >::IndexArrayType = Array<int>

Definition at line 58 of file itkBinaryTreeSearchBase.h.

## ListSampleType

template<class TListSample>

using itk::BinaryTreeSearchBase< TListSample >::ListSampleType = TListSample

Typedef's.

Definition at line 54 of file itkBinaryTreeSearchBase.h.

## MeasurementVectorType

template<class TListSample>

using itk::BinaryTreeSearchBase< TListSample >::MeasurementVectorType = typename BinaryTreeType::MeasurementVectorType

Definition at line 57 of file itkBinaryTreeSearchBase.h.

## Pointer

template<class TListSample>

using itk::BinaryTreeSearchBase< TListSample >::Pointer = SmartPointer<Self>

Definition at line 47 of file itkBinaryTreeSearchBase.h.

## Self

template<class TListSample>

using itk::BinaryTreeSearchBase< TListSample >::Self = BinaryTreeSearchBase

Standard itk.

Definition at line 45 of file itkBinaryTreeSearchBase.h.

## Superclass

template<class TListSample>

using itk::BinaryTreeSearchBase< TListSample >::Superclass = Object

Definition at line 46 of file itkBinaryTreeSearchBase.h.

## Constructor & Destructor Documentation

## BinaryTreeSearchBase()

template<class TListSample>

itk::BinaryTreeSearchBase< TListSample >::BinaryTreeSearchBase | ( |  | ) |

protected

## ~BinaryTreeSearchBase()

template<class TListSample>

itk::BinaryTreeSearchBase< TListSample >::~BinaryTreeSearchBase | ( |  | ) |

override protected default

## Member Function Documentation

## GetBinaryTree()

template<class TListSample>

const BinaryTreeType * itk::BinaryTreeSearchBase< TListSample >::GetBinaryTree | ( |  | ) | const

## GetClassName()

template<class TListSample>

virtual const char * itk::BinaryTreeSearchBase< TListSample >::GetClassName | ( |  | ) | const

virtual

ITK type info.

Reimplemented in itk::ANNFixedRadiusTreeSearch< TListSample >, itk::ANNFixedRadiusTreeSearch< ListSampleType >, itk::ANNPriorityTreeSearch< TListSample >, itk::ANNPriorityTreeSearch< ListSampleType >, itk::ANNStandardTreeSearch< TListSample >, itk::ANNStandardTreeSearch< ListSampleType >, and itk::BinaryANNTreeSearchBase< TListSample >.

## GetKNearestNeighbors()

template<class TListSample>

virtual unsigned int itk::BinaryTreeSearchBase< TListSample >::GetKNearestNeighbors | ( |  | ) | const

virtual

## ITK_DISALLOW_COPY_AND_MOVE()

template<class TListSample>

itk::BinaryTreeSearchBase< TListSample >::ITK_DISALLOW_COPY_AND_MOVE | ( | BinaryTreeSearchBase< TListSample > |  | ) |

## Search()

template<class TListSample>

virtual void itk::BinaryTreeSearchBase< TListSample >::Search | ( | const MeasurementVectorType & | qp,
|  | IndexArrayType & | ind,
|  | DistanceArrayType & | dists )

pure virtual

Search the nearest neighbours of a query point qp.

Implemented in itk::ANNFixedRadiusTreeSearch< TListSample >, itk::ANNFixedRadiusTreeSearch< ListSampleType >, itk::ANNPriorityTreeSearch< TListSample >, itk::ANNPriorityTreeSearch< ListSampleType >, itk::ANNStandardTreeSearch< TListSample >, and itk::ANNStandardTreeSearch< ListSampleType >.

## SetBinaryTree()

template<class TListSample>

virtual void itk::BinaryTreeSearchBase< TListSample >::SetBinaryTree | ( | BinaryTreeType * | tree | ) |

virtual

Set and get the binary tree.

Reimplemented in itk::ANNPriorityTreeSearch< TListSample >, itk::ANNPriorityTreeSearch< ListSampleType >, and itk::BinaryANNTreeSearchBase< TListSample >.

## SetKNearestNeighbors()

template<class TListSample>

virtual void itk::BinaryTreeSearchBase< TListSample >::SetKNearestNeighbors | ( | unsigned int | _arg | ) |

virtual

Set and get the number of nearest neighbours k.

## Field Documentation

## m_BinaryTree

template<class TListSample>

BinaryTreePointer itk::BinaryTreeSearchBase< TListSample >::m_BinaryTree {}

protected

Member variables.

Definition at line 81 of file itkBinaryTreeSearchBase.h.

## m_DataDimension

template<class TListSample>

unsigned int itk::BinaryTreeSearchBase< TListSample >::m_DataDimension {}

protected

Definition at line 83 of file itkBinaryTreeSearchBase.h.

## m_KNearestNeighbors

template<class TListSample>

unsigned int itk::BinaryTreeSearchBase< TListSample >::m_KNearestNeighbors {}

protected

Definition at line 82 of file itkBinaryTreeSearchBase.h.

Generated on 1768596610 for elastix by 1.15.0 |